summaryrefslogtreecommitdiffstats
path: root/libraries/haskell-regex-compat
diff options
context:
space:
mode:
author Mikko Varri <vmj@linuxbox.fi>2010-05-13 00:58:40 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:58:40 +0200
commit4feca346aad35c43ed4606971db2a4e424e6c355 (patch)
treec93d0a047f0eb89c648104a97dabcb36cecd559b /libraries/haskell-regex-compat
parent936b22bbfdfd7929eca436c325bad4fa6b6eda54 (diff)
downloadslackbuilds-4feca346aad35c43ed4606971db2a4e424e6c355.tar.gz
slackbuilds-4feca346aad35c43ed4606971db2a4e424e6c355.tar.xz
libraries/haskell-regex-compat: Added to 13.0 repository
Diffstat (limited to 'libraries/haskell-regex-compat')
-rw-r--r--libraries/haskell-regex-compat/README8
-rw-r--r--libraries/haskell-regex-compat/doinst.sh3
-rw-r--r--libraries/haskell-regex-compat/haskell-regex-compat.SlackBuild80
-rw-r--r--libraries/haskell-regex-compat/haskell-regex-compat.info10
-rw-r--r--libraries/haskell-regex-compat/slack-desc19
5 files changed, 120 insertions, 0 deletions
diff --git a/libraries/haskell-regex-compat/README b/libraries/haskell-regex-compat/README
new file mode 100644
index 0000000000..36c3fe1a7a
--- /dev/null
+++ b/libraries/haskell-regex-compat/README
@@ -0,0 +1,8 @@
+haskell-regex-compat (Replaces/Enhances Text.Regex Haskell library)
+
+A module layer over regex-posix to replace Text.Regex.
+
+This requires ghc and haskell-regex-posix.
+
+When uninstalling, run this command to unregister the package from the ghc
+package database: ghc-pkg unregister regex-compat
diff --git a/libraries/haskell-regex-compat/doinst.sh b/libraries/haskell-regex-compat/doinst.sh
new file mode 100644
index 0000000000..4038a8fd5c
--- /dev/null
+++ b/libraries/haskell-regex-compat/doinst.sh
@@ -0,0 +1,3 @@
+chroot . sh /install/register.sh
+rm -f install/register.sh
+rmdir install 2>/dev/null
diff --git a/libraries/haskell-regex-compat/haskell-regex-compat.SlackBuild b/libraries/haskell-regex-compat/haskell-regex-compat.SlackBuild
new file mode 100644
index 0000000000..b8d22e357d
--- /dev/null
+++ b/libraries/haskell-regex-compat/haskell-regex-compat.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for haskell-regex-compat
+
+# Written by Mikko Varri (vmj@linuxbox.fi)
+# Public domain.
+
+PRGNAM=haskell-regex-compat
+VERSION=${VERSION:-0.92}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+TARNAM=regex-compat
+GHC_VERSION=$(ghc-pkg field ghc version | cut -d' ' -f2)
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TARNAM-$VERSION
+tar xvf $CWD/$TARNAM-$VERSION.tar.gz
+cd $TARNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKFLAGS" \
+runghc Setup.hs configure \
+ --prefix=/usr \
+ --enable-shared \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libsubdir=ghc-${GHC_VERSION}/$TARNAM-$VERSION \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runghc Setup.hs build
+runghc Setup.hs haddock
+runghc Setup.hs copy --destdir=$PKG
+runghc Setup.hs register --gen-script
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+mv $TMP/$TARNAM-$VERSION/register.sh $PKG/install/register.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/libraries/haskell-regex-compat/haskell-regex-compat.info b/libraries/haskell-regex-compat/haskell-regex-compat.info
new file mode 100644
index 0000000000..123a2cf18a
--- /dev/null
+++ b/libraries/haskell-regex-compat/haskell-regex-compat.info
@@ -0,0 +1,10 @@
+PRGNAM="haskell-regex-compat"
+VERSION="0.92"
+HOMEPAGE="http://hackage.haskell.org/package/regex-compat"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/regex-compat/0.92/regex-compat-0.92.tar.gz"
+MD5SUM="ce471a0b255787fad224d0481adcf66f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mikko Varri"
+EMAIL="vmj@linuxbox.fi"
+APPROVED="rworkman"
diff --git a/libraries/haskell-regex-compat/slack-desc b/libraries/haskell-regex-compat/slack-desc
new file mode 100644
index 0000000000..32da5c586d
--- /dev/null
+++ b/libraries/haskell-regex-compat/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+haskell-regex-compat: haskell-regex-compat (Replaces/Enhances Text.Regex Haskell library)
+haskell-regex-compat:
+haskell-regex-compat: One module layer over regex-posix to replace Text.Regex.
+haskell-regex-compat:
+haskell-regex-compat: http://hackage.haskell.org/package/regex-compat
+haskell-regex-compat:
+haskell-regex-compat:
+haskell-regex-compat:
+haskell-regex-compat:
+haskell-regex-compat:
+haskell-regex-compat: